Bug 214908 - "send signal" missing from gui
Summary: "send signal" missing from gui
Status: RESOLVED FIXED
Alias: None
Product: konsole
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: openSUSE RPMs Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: Konsole Developer
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-11-17 02:25 UTC by Henryk Hecht
Modified: 2012-08-04 22:11 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 4.10


Attachments
A patch that reintroduces the "Send Signal" menu item from KDE 3.5 Konsole (7.24 KB, patch)
2012-07-31 00:55 UTC, Kasper Laudrup
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Henryk Hecht 2009-11-17 02:25:48 UTC
Version:            (using KDE 4.3.3)
OS:                Linux
Installed from:    openSUSE RPMs

Per the note on bug #195874, I looked for duplicates of this, but couldn't find it.  Konsole 4.x is missing the "send signal" command, which contrary to one of the comments in the above bug is actually quite useful in a number of circumstances.  E.g., ssh will often die on slow links and neither ~. nor ctrl+c work.  There are also a lot of other applications that trap ctrl+c.  New tab, ps, kill, is a very slow solution to such situations.

I realize there's a lot of concern about having too much clutter in konsole, but even poor old xterm has this feature.  Of course, I promise not to suggest Tektronix emulation for Konsole.
Comment 1 Kurt Hindenburg 2011-10-09 18:11:47 UTC
If someone want's submit code for this, that's fine.

We could stick it under Edit as in KDE3.
Comment 2 Jekyll Wu 2012-04-14 16:23:31 UTC
There is one thing that I feel strage about the "send signal" in KDE3 konsole: if I'm just using a shell and not running any foreground process, the signal would be sent to the shell, thus killing the shell and closing the tab. 

If this is ever readded, I suggest makeing those actions usable only when there is foreground process running, and the signals should only be sent to the foreground process.
Comment 3 Kasper Laudrup 2012-07-31 00:55:21 UTC
Created attachment 72840 [details]
A patch that reintroduces the "Send Signal" menu item from KDE 3.5 Konsole

Hi there,

I have missed the same functionality a few times, so I have attached a patch that reintroduces this functionality the same way it was in KDE 3.5.

Feel free to comment on it, I'd be happy to improve it and would of course be very happy if it could be useful enough to be included in an upcoming release.
Comment 4 Kurt Hindenburg 2012-07-31 14:29:27 UTC
Thanks for the patch - I'll get around to looking at it sometime and we'll see if it can go in for 4.10
Comment 5 Kasper Laudrup 2012-08-01 08:39:48 UTC
Thanks, great to hear. Looking forward to feedback.
Comment 6 Kurt Hindenburg 2012-08-02 02:45:25 UTC
I'm inclined to put this in as-is.  It will be up to the user to use it correctly.  I don't think is worth the effort to try to only allows signal determined by what's  running in the session.
Comment 7 Kasper Laudrup 2012-08-02 08:44:25 UTC
(In reply to comment #6)
> I'm inclined to put this in as-is.  It will be up to the user to use it
> correctly.  I don't think is worth the effort to try to only allows signal
> determined by what's  running in the session.

Sounds great. I think Jekyll Wu's suggestion makes a lot of sense, but I found it better to simply reintroduce the feature as it was in KDE 3.5. I personally find it rather frustrating when new versions of software reintroduce missing features from previous versions, but they behave in a slightly different way.
Comment 8 Kurt Hindenburg 2012-08-04 22:11:23 UTC
Git commit a4b08ea190ac5bb6b69601318be95ba6775eb018 by Kurt Hindenburg.
Committed on 05/08/2012 at 00:05.
Pushed by hindenburg into branch 'master'.

Add the "Send Signals" menus from KDE 3.5

This reintroduces the "Send Signals" from KDE 3.5.
SIGSTOP/CONT/HUP/INT/TERM/KILL/USR1/USR2

Patch by Kasper Laudrup  laudrup@stacktrace.dk

FIXED-IN: 4.10

M  +2    -1    desktop/sessionui.rc
M  +12   -0    src/Session.cpp
M  +2    -0    src/Session.h
M  +53   -0    src/SessionController.cpp
M  +1    -0    src/SessionController.h

http://commits.kde.org/konsole/a4b08ea190ac5bb6b69601318be95ba6775eb018